import es, gamethread, playerlib, usermsg, vecmath

def player_hurt(ev):
     userid = ev['userid']
     name = es.getplayername(userid)
     attacker = ev['attacker']
     attackerid = es.getplayersteamid(attacker)
     damage = int(ev['dmg_health'])
     hitgroup = int(ev['hitgroup'])
     attackerloc = es.getplayerlocation(attacker)
     attackerteam = es.getplayerteam(attacker)
     userloc = es.getplayerlocation(userid)
     userteam = es.getplayerteam(userid)
     distance = vecmath.distance(userloc, attackerloc)
     health = int(es.getplayerprop(userid, 'CBasePlayer.m_iHealth'))
     weapon = playerlib.getPlayer(attacker).get('weapon')
     if attackerteam == userteam:
          teamtext = "teammate"
     elif attackerteam != userteam:
          teamtext = "enemy"
     if hitgroup == 1:
          bodypart = 'head'
     elif hitgroup == 2:
          bodypart = 'chest'
     elif hitgroup == 3:
          bodypart = 'stomach'
     elif hitgroup == 4:
          bodypart = 'left arm'
     elif hitgroup == 5:
          bodypart = 'right arm'
     elif hitgroup == 6:
          bodypart = 'left leg'
     elif hitgroup == 7:
          bodypart = 'right leg'
     if attackerid != 'BOT':
          if attacker != userid:
               wepname  = weapon.replace('weapon_','').lower()
               if health <= 1:
                    usermsg.hudhint(attacker, 'Damage done: %s, with %s\nVictim: %s (%s)\nShot in the %s from %.1f meters\nHis current status: DEAD' % (damage, wepname, name, teamtext, bodypart, round(distance*0.0254, 1)))
               elif health >= 2:
                    usermsg.hudhint(attacker, 'Damage done: %s, with %s\nVictim: %s (%s)\nShot in the %s from %.1f meters\nHis current status: %i HP left' % (damage, wepname, name, teamtext, bodypart, round(distance*0.0254, 1), health))